#include <bits/stdc++.h>

using namespace std;

int main()
{
    long x1,x2,y1,y2;
    cin>>x1>>y1;
    cin>>x2>>y2;
    ///max broj kvadrata je 2 a min je 0
    
    if(x1!=x2 && y1!=y2){
        if(abs(x1-x2)!=abs(y1-y2)){
            cout<<0<<endl;
        }
        else{
            cout<<1<<endl;
        }
    }
    else{
        cout<<2<<endl;
    }
}